export const prompt = `任务目标

FP-Growth算法设计需求说明，结构化分析和建模建议

数据样本：[在此粘贴数据片段或上传文件（CSV/XLSX）]  

1. 问题定义与目标明确
请明确回答以下问题：

   核心问题 ：该数据集拟解决的业务问题是什么？（例如：挖掘商品关联购买模式、优化库存组合、设计推荐系统）

   分析目标：  

    - 需要发现的关联模式类型（如“购买连衣裙的用户常搭配高跟鞋”）  

    - 业务价值目标（如"提升购物车添加率10%"）  

2. 特征工程与事务构建
请分步骤给出建议：

  (1) 特征筛选标准：  

      保留字段：  

  | 字段名       | 处理方式        | 保留理由（满足以下条件） |  

  | 品类          | 直接使用        | 核心商品分类维度 |  

  | 颜色          | 直接使用        | 影响购买组合的因素 |  

  | 材质          | 直接使用        | 商品属性关联性分析 |  

  | 优惠类型    | 直接使用        | 购买决策驱动因素 | 

    排除字段：  

  | 字段名 | 排除原因 |  

  | 订单ID | 无业务解释性 |  

  | 用户年龄 | 非事务型特征 |  

  | 交易时间 | 与关联规则无直接关系 | 

 

  (2) 数据转换建议：  

     事务格式要求：  

  - 将数据转换为\`订单ID→[购买项列表]\`的事务格式（如\`订单A→[连衣裙_红色_氨纶, T恤_白色_棉质]\`） 

     缺失值处理：  

  - 策略：[删除/填充]（如"空购物车订单需排除"）  

     特征组合建议：  

  - 是否组合字段？[是/否及示例]（如"将'品类+颜色+材质'合并为复合项以提升规则实用性"）

3. 模型输入设计
    事务数据格式：  

    订单ID | 购买项列表

      A123 | [女裤, 泫雅风T恤, 双11优惠]

     A456 | [连衣裙, 氨纶材质]

    参数配置建议：  

    \`min_support\`：[建议值及理由]（如"设置为0.03以筛选高频商品组合"）  

    \`min_threshold\`：[建议值及理由]（如"设置为0.5以保证规则实用性"）  

 

4. 算法实现建议
    模型适配性：  

      是否适合FP-Growth？[是/否及理由]

      若否，推荐调整：  

      尝试Apriori（如"小规模数据或低维度场景"） 

    关键参数建议：  

      \`min_support=0.03-0.05\`（高频项集筛选）  

      \`use_collector=True\`（优化内存占用）    

   业务规则过滤：  

     推荐设置\`min_confidence>0.5\`和\`lift>2\`筛选强关联规则 

   计算资源建议：  

     特征维度>100时，建议先进行商品聚类降维 

5. 输出格式要求
请以以下结构分点输出，便于模型生成清晰结论：

1. 问题定义：[一句话描述业务问题及目标]  

2. 事务构建建议：  

   - 保留字段：[字段列表及处理方式和理由]  

   - 排除字段：[字段列表及排除原因]  

3. 关键特征分析：  

      高频项集：  

       强关联规则：  

4. 模型建议：  

   参数配置：  

      \`min_support=0.05\`（筛选高频商品组合）  

      \`min_confidence=0.6\`（保证规则可信度）  

   业务验证方式：  

   推荐验证方法：人工审核规则合理性（如"是否符合业务常识"）  

   关键评估指标：lift值、置信度、支持度   `
