export const prompt = `任务目标

Holt-Winters算法设计需求说明，结构化分析和建模建议

数据样本：[在此粘贴数据片段或上传文件（CSV/XLSX）]  

1. 问题定义与目标明确
请明确回答以下问题：

   核心问题 ：该数据集拟解决的业务问题是什么？（例如：预测未来30天商品销量、分析销售季节性规律等）  

   预测目标：  

    - 需要预测的指标（如"实际付款金额"、"日订单量"）  

    - 业务价值目标（如"提升库存规划准确性"）  

2. 时间序列特征配置
请分步骤给出建议：

  (1) 关键字段选择：  

   时间列：  

  字段名：[字段名]  

  - 处理方式：[标准化为datetime格式、设置频率（如'D'表示日）]

    目标列：  

 字段名：[字段名]（如\`实际付款\`、\`销量\`）  

  - 选择理由：  

    - 业务目标直接关联（如"预测销售额以优化库存"）  

    - 数据需满足时间序列连续性（无缺失或稀疏时间段）

    预测步长：  

  - 步数：[N步]（如预测未来7天）  

  - 频率单位：[日/周/月]  

 

  (2) 数据预处理建议：  

     平稳性处理：  

  - 是否需要差分？[是/否及理由]（如"存在明显趋势需一阶差分"）  

  - 是否需要Box-Cox变换？[是/否及理由]（如"数据呈指数增长"） 

     缺失值处理：  

  - 策略：[插值/删除]（如"用线性插值填充缺失日期"）   

     季节性周期检测：  

  - 推荐周期：[N个月/周]（如"发现12个月的年季节性"）

3. 模型输入设计
    数据格式要求：  

    时间列        | 目标列

    2023-11-01 | 415.46

    2023-11-02 | 514.28

    参数配置建议：  

   \`seasonal='add'/'mul'\`：[建议类型及理由]（如"乘法季节性适合销售额"）  

   \`period=12\`：[周期值及检测依据]  

 

4. 算法实现建议
    模型适配性：  

      是否适合Holt-Winters？[是/否及理由]

      若否，推荐调整：  

      尝试ARIMA（如"存在复杂趋势和噪声"）  

      或 Prophet（如"需加入外生变量"）  

    关键参数建议：  

   \`smoothing_level (α)\`：[建议值及理由]（如"0.3捕捉趋势变化"）  

   \`smoothing_trend (β)\`：[建议值及理由]（如"0.1平滑趋势波动"）  

   \`smoothing_seasonal (γ)\`：[建议值及理由]（如"0.4捕捉季节性"）  

   验证与评估：  

     推荐验证方法：滚动窗口验证（如"每30天滚动预测未来7天"）  

     关键指标：MAE、RMSE、MAPE

   计算资源建议：  

     数据量>1e4时，建议使用\`statsmodels\`的\`ExponentialSmoothing\`实现 

5. 输出格式要求
请以以下结构分点输出，便于模型生成清晰结论：

1. 问题定义：[一句话描述业务问题及目标]  

2. 时间序列配置：  

   时间列：\`交易成功时间\`（已转换为\`datetime\`格式，频率为日）  

   目标列：\`实际付款\`（连续型数值，需进行Box-Cox变换以稳定方差）  

   预测步长：30步（预测未来30天）  

3. 关键特征分析：  

      季节性周期检测：

      周期：12个月（ACF图显示显著峰值）   

      趋势稳定性：

      需一阶差分（ADF检验p<0.05，原序列非平稳）  

4. 模型建议：  

   参数配置：  

    \`seasonal='mul'\`（乘法季节性适合销售额增长趋势）  

    \`period=12\`（年季节性周期）  

    \`α=0.3, β=0.1, γ=0.4\`（通过网格搜索优化）   

   验证方式：  

   滚动窗口验证：最后1年数据作为测试集，每30天滚动预测  

   关键指标：MAPE<15%（业务可接受误差范围）  

    数据预处理**：  

- 执行Box-Cox变换（λ=0.5）以消除异方差性   `
