export const prompt = `任务目标

K-Means算法设计需求说明，结构化分析和建模建议

数据样本：[在此粘贴数据片段或上传文件（CSV/XLSX）]  

1. 问题定义与目标明确
请明确回答以下问题：

   核心问题 ：该数据集拟解决的业务问题是什么？（例如：客户分群、商品品类聚类、物流路径优化等）

   聚类目标：  

    - 需要发现的群体类型（如高价值客户群、相似商品类型群）  

    - 业务价值目标（如"通过分群优化营销策略"）  

2. 特征工程与自变量选择
请分步骤给出建议：

  (1) 特征筛选标准：  

      保留字段：  

  | 字段名    | 处理方式        | 保留理由（满足以下条件） |  

  | 销量       | 标准化           | 核心业务指标，量纲统一需求 |  

  | 实际付款 | 标准化           | 消费能力关键指标 |  

  | 客户年龄 | 标准化           | 与购买行为相关（如年龄分层） |  

  | 品类       | One-Hot编码 | 类别型特征需转化为数值型 |  

    排除字段：  

  | 字段名 | 排除原因 |  

  | 订单编号 | 无业务意义，唯一标识符 |  

  | 交易时间 | 非数值型且无直接业务解释性 |  

  | 物流信息 | 与客户/商品特征无关 |  

 

  (2) 特征处理建议：  

     标准化要求：  

  - 强制标准化：K-Means对特征量纲敏感，必须进行标准化（\`StandardScaler\`）  

    分类特征：  

  - 编码方式：[One-Hot/标签编码]（如"品类字段需One-Hot编码以保留类别信息"）  

     缺失值处理：  

  - 策略：[填充/删除]（如"年龄字段缺失率<5%，用均值填充"） 

    降维建议：  

  - 是否需要 PCA？[是/否及理由]（如"特征维度>20时降低计算复杂度"）

3. 模型输入设计
请给出最终的模型输入方案 ：

    自变量（X）：  

    字段列表及预处理方法：  

    [销量]：标准化 → 均值0，方差1  

    [实际付款]：标准化 → 均值0，方差1  

    [品类]：One-Hot编码 → 扩展为N个二元变量

    距离度量：  

    推荐方法：欧氏距离（K-Means默认）

 

4. 算法实现建议
    模型适配性：  

      是否适合K-Means？[是/否及理由]  

      若否，推荐调整：  

      尝试层次聚类（如"需要层次结构解释"）或DBSCAN（如"存在噪声数据"）  

    关键参数建议：  

     簇数（n_clusters）：[建议值及理由]（如"通过肘部法则确定为3类"）  

     初始化方法：[k-means++/随机]（推荐k-means++以提高收敛稳定性）  

     max_iter：[建议值及理由]（如"设置为300次迭代以确保收敛"）   

   计算资源建议：  

     数据量>1e4时，建议使用Mini-Batch K-Means加速  

   有效性验证：  

     推荐指标：轮廓系数、Calinski-Harabasz指数  

     业务验证：检查簇内特征一致性（如高付款簇的品类偏好）

5. 输出格式要求
请以以下结构分点输出，便于模型生成清晰结论：

1. 问题定义：[一句话描述]  

2. 特征选择：  

   - 保留字段：[字段列表及处理方式]  

   - 排除字段：[字段列表及排除原因]  

3. 关键特征分析：  

      对聚类影响最大的特征：  

      \`实际付款\`（贡献度：32%）  

       特征冗余性分析：  

       \`销量\` & \`销售额\`（VIF=8.5，需删除其一）  

4. 模型建议：  

   簇数建议：  

     推荐3类（肘部法则显示WCSS在k=3时显著下降）  

   参数配置：  

      \`init='k-means++'\`（避免随机初始化陷阱）  

      \`max_iter=300\`（平衡计算效率与收敛性）  

   有效性验证：  

      内部指标：轮廓系数（目标>0.7）  

       业务验证：  

       检查簇内客户特征一致性（如高付款簇的品类偏好）  

       对比层次聚类结果   `
