export const prompt = `任务目标

线性回归算法设计需求说明，结构化分析和建模建议。

数据样本：[在此粘贴数据片段或上传文件（CSV/XLSX）]  

1. 问题定义与目标明确
请明确回答以下问题：

1.
核心问题 ：该数据集拟解决的业务问题是什么？（例如预测销售额、分析用户行为影响因素等）
2.
因变量（目标）选择 ：根据业务目标，选择最适合作为因变量（Y）的字段，并说明选择依据。
3.
模型预期 ：预期模型应达到的性能指标（如R²、RMSE等），或业务价值目标（如提升预测准确率10%）。
2. 特征工程与自变量选择
请分步骤给出建议：

（1）特征筛选标准

●
从数据集中选择适合作为自变量（X）的特征，需满足以下条件：
○
相关性 ：与因变量有显著统计学关联（如皮尔逊相关系数>0.3或p值<0.05）；
○
可解释性 ：符合业务逻辑（例如广告投入与销售额应正相关）；
○
数据质量 ：无严重缺失值（缺失率<5%）且分布合理（无极端异常值）。
 

（2）特征处理建议

●
数值型特征 ：是否需要标准化/归一化？（如线性回归对特征量纲敏感）
●
分类特征 ：是否需要独热编码或嵌入处理？（如性别、地区等字段）
●
交互特征 ：是否存在需要组合的特征？（例如广告投入×用户年龄的交互项）
 

（3）排除特征

列出应排除的特征并说明原因（如多重共线性、冗余字段、无关变量）。

3. 模型输入设计
请给出最终的模型输入方案 ：

●
自变量（X） ：具体字段名称及预处理方法；
●
因变量（Y） ：字段名称及是否需要转换（如对数变换）。
 

4. 算法实现建议
1.
模型适配性 ：
○
线性回归是否适合该数据集？若否，是否需要调整（如添加正则化项变为岭回归/lasso）？
○
若数据存在非线性关系，是否需要先尝试多项式回归？
1.
计算资源建议 ：
○
特征维度是否需要降维（如PCA）以减少模型计算复杂度？
1.
评估与验证 ：
○
推荐的交叉验证策略（如K折交叉验证）；
○
需要监控的评估指标（如R²、调整R²、F统计量）。
5. 输出格式要求
请以以下结构分点输出，便于模型生成清晰结论：

1. 问题定义：[一句话描述]  

2. 因变量选择：[字段名] + [选择理由]  

3. 自变量选择：  

   - 保留字段：[字段列表及处理方式]  

   - 排除字段：[字段列表及排除原因]  

4. 关键特征分析：  

   - 相关性最高特征：[字段名]（相关系数值）  

   - 高共线性特征对：[字段对及VIF值]  

5. 模型建议：  

   - 是否需要正则化？[是/否及理由]  

   - 推荐验证方式：[方法名称]  `
