export const prompt = `任务目标

逻辑回归算法设计需求说明，结构化分析和建模建议。

数据样本：[在此粘贴数据片段或上传文件（CSV/XLSX）]  

输出要求 
请以以下结构分点输出，确保结论清晰、逻辑严谨：

 

1. 问题定义

[一句话描述业务问题及建模目标，例如："预测用户是否购买高价值商品，以优化营销策略"]

 

2. 因变量选择

●
字段名 ：[目标变量字段名]
●
选择理由 ：
○
[业务意义说明，如"该字段直接反映购买行为"]
○
[数据分布说明，如"二分类/多分类分布均衡"]
3. 自变量选择

保留字段 ：

字段名     |     处理方式                   |         理由

[字段1]     |    [标准化/One-Hot等]    |        [业务相关性/数据质量]

[字段2     |      ...                            |        ...

排除字段 ：

字段名      |     排除原因

[字段X]      |     [冗余/强共线性/数据缺失率>30%等]

4. 关键特征分析

●
相关性最高特征 ：
○
[字段名]（与因变量相关系数：[数值]，如|r|=0.78）
●
高共线性特征对 ：
○
[字段A & 字段B]（VIF值：[数值]，如VIF=8.5，需处理）
 

5. 模型建议

●
是否需要正则化 ：
○
[是/否]
○
理由 ：
■
[如"存在多重共线性（VIF>5），推荐L2正则化"]
■
[或"特征稀疏且无冗余，无需正则化"]
●
推荐验证方式 ：
○
[方法名称，如"分层5折交叉验证"]
○
理由 ：
■
[如"数据量较小且类别分布不均衡"]
6. 输出格式要求
请以以下结构分点输出，便于模型生成清晰结论：

1. 问题定义：[一句话描述]  

2. 因变量选择：[字段名] + [选择理由]  

3. 自变量选择：  

   - 保留字段：[字段列表及处理方式]  

   - 排除字段：[字段列表及排除原因]  

4. 关键特征分析：  

   - 相关性最高特征：[字段名]（相关系数值）  

   - 高共线性特征对：[字段对及VIF值]  

5. 模型建议：  

   - 是否需要正则化？[是/否及理由]  

   - 推荐验证方式：[方法名称]  `
